Subject: Re: [PATCH net 1/2] iavf: Fix error when changing ring parameters on ice PF

From: Jakub Kicinski <[email-masked]>
Date: Thu, 28 Apr 2022 11:28:20 -0700

On Thu, 28 Apr 2022 18:10:49 +0000 Maloszewski, Michal wrote:
>> Can't we wait for the device to get into the right state?
>> Throwing EAGAIN back to user space is not very friendly.  
> 
> When we have state which is running, it does not mean that we have
> queues configured on PF. So in order to configure queues on PF, the
> IAVF_FLAG_QUEUES has to be disabled. I use here EAGAIN, because as
> long as we are not configured with queues, it does not make any sense
> to trigger command and we are not sure when the configuration of
> queues will end - so that is why EAGAIN is used.

Let me rephrase the question. Does getting out of the state where error
is reported require user to change something, or is it something that
happens automatically behind the scenes (i.e. the state is transient).